# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/9ea47e2c-8d97-4ad6-4068-589107b30f2b/volume/combined_recipe, last modified Wed Jun 16 13:28:15 2021
# ------------------------------------------------

package:
  name: numcodecs
  version: 0.8.0
source:
  fn: numcodecs-0.8.0.tar.gz
  sha256: 7c7d0ea56b5e2a267ae785bdce47abed62829ef000f03be8e32e30df62d3749c
  url: https://pypi.io/packages/source/n/numcodecs/numcodecs-0.8.0.tar.gz
build:
  number: '0'
  script:
    - export DISABLE_NUMCODECS_AVX2=""
    - /opt/concourse/worker/volumes/live/9ea47e2c-8d97-4ad6-4068-589107b30f2b/volume/numcodecs_1623875331180/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
      -m pip install . -vv
  string: py37h23ab428_0
requirements:
  build:
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - ld64 450.3 h3c32e8a_4
    - libcxx 10.0.0 1
    - libllvm10 10.0.0 h21ff451_2
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - tapi 1000.10.8 ha1b3eb9_0
  host:
    - ca-certificates 2021.5.25 hecd8cb5_1
    - certifi 2021.5.30 py37hecd8cb5_0
    - cython 0.29.23 py37h23ab428_0
    - libcxx 10.0.0 1
    - libffi 3.3 hb1e8313_2
    - ncurses 6.2 h0a44026_1
    - openssl 1.1.1k h9ed2024_0
    - pip 21.1.2 py37hecd8cb5_0
    - python 3.7.10 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - setuptools 52.0.0 py37hecd8cb5_0
    - setuptools-scm 6.0.1 pyhd3eb1b0_1
    - setuptools_scm 6.0.1 hd3eb1b0_1
    - sqlite 3.35.4 hce871da_0
    - tk 8.6.10 hb0a8c7a_0
    - toml 0.10.2 pyhd3eb1b0_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - libcxx >=10.0.0
    - msgpack-python
    - numpy >=1.7
    - python >=3.7,<3.8.0a0
test:
  commands:
    - pytest -v --pyargs numcodecs
  imports:
    - numcodecs
    - numcodecs.blosc
    - numcodecs.lz4
    - numcodecs.zstd
  requires:
    - pytest
about:
  home: https://github.com/zarr-developers/numcodecs
  license: MIT
  license_file: LICENSE
  summary: A Python package providing buffer compression and transformation codecs
    for use in data storage and communication applications.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - alimanfoo
    - jakirkham
    - jrbourbeau
